/////////////////////////////////////////////////////////////////////////////
// MainFrm.h : interface of the CMainFrame class
/////////////////////////////////////////////////////////////////////////////
#ifndef CMAINFRAME_H
#define CMAINFRAME_H

#define CDXINCLUDEALL
#include <CDX.h>

class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();
	~CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

	void RenderFrame(void);
	BOOL InitAll();
	void PutTile(void);
	void GetTile(void);
	void GetTileUp(void);
	void GetTileDown(void);
	void DrawTile(void);

	int TILEWIDTH;
	int TILEHEIGHT;
	int TILENUM;
	int MAPWIDTH;
	int MAPHEIGHT;

	int GotTile;
	int ScrollRate;
	int TileList[12];
	CDXScreen *Screen;
	CDXMap *Map;
	CDXTile *Tiles;
	CDXSurface *Frame;
	CDXSurface *Cursor;
	CPoint Mouse;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif